/*	Copyright  (c)	Günter Woigk 2002 - 2008
  					mailto:kio@little-bat.de

 	This program is distributed in the hope that it will be useful,
 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

 	Permission to use, copy, modify, distribute, and sell this software and
 	its documentation for any purpose is hereby granted without fee, provided
 	that the above copyright notice appear in all copies and that both that
 	copyright notice and this permission notice appear in supporting
 	documentation, and that the name of the copyright holder not be used
 	in advertising or publicity pertaining to distribution of the software
 	without specific, written prior permission.  The copyright holder makes no
 	representations about the suitability of this software for any purpose.
 	It is provided "as is" without express or implied warranty.

 	THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 	INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 	EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 	DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 	TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 	PERFORMANCE OF THIS SOFTWARE.
*/


#import "NXPanel.h"


@interface AyPanel : NXPanel
{
    IBOutlet id view_a_pitch;
    IBOutlet id view_a_port;
    IBOutlet id view_a_vol;
    IBOutlet id view_b_pitch;
    IBOutlet id view_b_port;
    IBOutlet id view_b_vol;
    IBOutlet id view_c_pitch;
    IBOutlet id view_c_vol;
    IBOutlet id view_env_pitch;
    IBOutlet id view_env_shape;
    IBOutlet id view_mixer;
    IBOutlet id view_noise_pitch;
    IBOutlet id view_xtal;
	IBOutlet id menu_stereo;
}
- (IBAction)set_a_pitch:(id)sender;
- (IBAction)set_a_port:(id)sender;
- (IBAction)set_a_volume:(id)sender;
- (IBAction)set_b_pitch:(id)sender;
- (IBAction)set_b_port:(id)sender;
- (IBAction)set_b_volume:(id)sender;
- (IBAction)set_c_pitch:(id)sender;
- (IBAction)set_c_volume:(id)sender;
- (IBAction)set_env_pitch:(id)sender;
- (IBAction)set_env_shape:(id)sender;
- (IBAction)set_mixer:(id)sender;
- (IBAction)set_noise_pitch:(id)sender;
- (IBAction)set_xtal:(id)sender;
- (IBAction)set_stereo:(id)sender;

@end




