/*	Copyright  (c)	Günter Woigk 2002 - 2006
  					mailto:kio@little-bat.de

 	This program is distributed in the hope that it will be useful,
 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

 	Permission to use, copy, modify, distribute, and sell this software and
 	its documentation for any purpose is hereby granted without fee, provided
 	that the above copyright notice appear in all copies and that both that
 	copyright notice and this permission notice appear in supporting
 	documentation, and that the name of the copyright holder not be used
 	in advertising or publicity pertaining to distribution of the software
 	without specific, written prior permission.  The copyright holder makes no
 	representations about the suitability of this software for any purpose.
 	It is provided "as is" without express or implied warranty.

 	THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 	INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 	EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 	DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 	TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 	PERFORMANCE OF THIS SOFTWARE.
*/


#import "NXPanel.h"


@interface CpuPanel : NXPanel
{
    IBOutlet id sel_display_mode;
    IBOutlet id sel_register;
    IBOutlet id view_a;
    IBOutlet id view_a2;
    IBOutlet id view_bc;
    IBOutlet id view_bc2;
    IBOutlet id view_de;
    IBOutlet id view_de2;
    IBOutlet id view_f;
    IBOutlet id view_f_visual;
    IBOutlet id view_f2;
    IBOutlet id view_hl;
    IBOutlet id view_hl2;
    IBOutlet id view_i;
    IBOutlet id view_im;
    IBOutlet id view_ix;
    IBOutlet id view_iy;
    IBOutlet id view_pc;
    IBOutlet id view_r;
    IBOutlet id view_ram;
    IBOutlet id view_sp;
    IBOutlet id view_xtal;
	IBOutlet id view_cc;
	
    IBOutlet id btn_iff1;
	IBOutlet id btn_irpt;
	IBOutlet id btn_nmi;
    IBOutlet id btn_halt;
    IBOutlet id btn_step_in;
    IBOutlet id btn_step;
    IBOutlet id btn_step_out;
	
	IBOutlet id view_memory;
	IBOutlet id view_breakpoints;
	IBOutlet id btn_scrool_memory;
}

- (IBAction)set_xtal:(id)sender;
- (IBAction)set_cc:(id)sender;
- (IBAction)sel_displaymode:(id)sender;
- (IBAction)sel_register:(id)sender;
- (IBAction)set_a:(id)sender;
- (IBAction)set_a2:(id)sender;
- (IBAction)set_bc:(id)sender;
- (IBAction)set_bc2:(id)sender;
- (IBAction)set_de:(id)sender;
- (IBAction)set_de2:(id)sender;
- (IBAction)set_f:(id)sender;
- (IBAction)set_f_visual:(id)sender;
- (IBAction)set_f2:(id)sender;
- (IBAction)set_hl:(id)sender;
- (IBAction)set_hl2:(id)sender;
- (IBAction)set_i:(id)sender;
- (IBAction)set_im:(id)sender;
- (IBAction)set_ix:(id)sender;
- (IBAction)set_iy:(id)sender;
- (IBAction)set_pc:(id)sender;
- (IBAction)set_r:(id)sender;
- (IBAction)set_sp:(id)sender;

- (IBAction)toggleIff1:(id)sender;
- (IBAction)toggleIrpt:(id)sender;
- (IBAction)toggleNmi:(id)sender;
- (IBAction)doStepIn:(id)sender;
- (IBAction)doStepOver:(id)sender;
- (IBAction)doStepOut:(id)sender;
- (IBAction)scrollMemoryView:(id)sender;
- (IBAction)toggleHaltCpu:(id)sender;
- (IBAction)setBreakpoints:(id)sender;
- (IBAction)setMemory:(id)sender;

@end





